Bug 432122 - nautilus lags when opening and closing folders (even empty ones)
Summary: nautilus lags when opening and closing folders (even empty ones)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: 8
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-08 22:52 UTC by Nikos Charonitakis
Modified: 2015-03-03 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 10:25:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 14504 None None None Never

Description Nikos Charonitakis 2008-02-08 22:52:23 UTC
Description of problem:
After some days of using my main user account, i have speed problems with
nautilus on opening and closing  folders. Even if a folder is completely empty
the same behaviour appears.
So, i started investigating the issue. I logged in another fresh account and
there is no such problem (initialy). Then i deleted all my files in my main home
folder and problem disappeared for a while. I started recovering my files from
backup (no hidden folders backup just plain files) and after a while slow
behaviour appeared again. Then i read .xession-errors file and i found that it
is full of lines like these:

(nautilus:21981): Gtk-WARNING **: Refusing to add non-unique action
'submenu_file:\s\s\shome\snikos\s%CE%A0%CF%81%CF%8C%CF%84%CF%85%CF%80%CE%B1\sgnomegr'
to action group 'TemplatesGroup'

(nautilus:21981): Gtk-WARNING **: Refusing to add non-unique action
'submenu_file:\s\s\shome\snikos\s%CE%A0%CF%81%CF%8C%CF%84%CF%85%CF%80%CE%B1\sgnomegr'
to action group 'TemplatesGroup'

(nautilus:21981): Gtk-WARNING **: Refusing to add non-unique action
'submenu_file:\s\s\shome\snikos\s%CE%A0%CF%81%CF%8C%CF%84%CF%85%CF%80%CE%B1\sgnomegr\sgnome-icon-theme-2.18.0'
to action group 'TemplatesGroup'
....
....
....
....
...Too much output, ignoring rest...

I thought that maybe is something related to localized folder names (from
xdg-user-dirs package) and maybe there is some base to my thought:
I logout of my account, changed language from Greek to English, changed folder
names (with  wizard) to English and nautilus is speedy again!
Then i revert the changes (go back to Greek enviroment) and nautilus is slow
again...




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2008-02-15 09:07:49 UTC
Hmm, what files do you have inside the templates directory (the greek named one)?
Is things still slow in greek if you remove the files in that directory?


Comment 2 Nikos Charonitakis 2008-02-15 14:33:42 UTC
Alex you are right, i have two folders with gnome icon themes in there. After
removing them from templates directory, speed is ok again with greek folders
name in use.
Is this still a bug? Why with English folder names i did not have any problem?

Comment 3 Alexander Larsson 2008-02-20 10:07:31 UTC
I don't think it was affected by the language as such, just what was in the
corresponding templates folder.


Comment 4 Alexander Larsson 2008-02-20 10:25:56 UTC
I believe this checkin to 2.21.1 fixes this:

2007-12-12  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (new_folder_done):
	Remove spew
        (add_submenu):
        (add_submenu_to_directory_menus):
	Avoid creating three copies of template menu actions

Reopen if you see this in >= 2.21.1 (which is in rawhide now)


Note You need to log in before you can comment on or make changes to this bug.